---
- hosts: localhost
  vars:
    home: /host/home

  tasks:
    - blockinfile:
        dest: "{{ home }}/.gitconfig"
        state: present
        create: yes
        block: |
          [pretty]
            my = format:%C(yellow)%h%C(reset) | %C(dim green)%cd%C(reset) | %C(green)%cr%C(reset) | %C(cyan)%s%C(red)%d%C(red)%C(reset) %C(blue)[%an]%C(reset)
          [format]
            pretty = my

    - lineinfile:
        dest: "{{ home }}/.zshrc"
        state: present
        create: yes
        regexp: "^plugins="
        line: "plugins=(git docker asdf)"

    - lineinfile:
        dest: "{{ home }}/.zshrc"
        state: present
        create: yes
        line: ". $HOME/.asdf/asdf.sh"
